%global	repoid		53350


Name:		saphire
Version:	3.5.3
Release:	1%{?dist}
Summary:	Yet another shell

Group:		System Environment/Shells
License:	GPL+
URL:		http://ab25cq.wiki.fc2.com/
Source0:	http://dl.sourceforge.jp/sash/%{repoid}/saphire-%{version}.tgz

BuildRequires:	cmigemo-devel
BuildRequires:	gc-devel
BuildRequires:	ncurses-devel
BuildRequires:	oniguruma-devel
#BuildRequires:	pcre-devel
BuildRequires:	readline-devel

%description
Yet another shell

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
# Patches

# Don't strip binary
sed -i.strip -e 's|\$(INSTALL) -s|\$(INSTALL) |' Makefile.in
# cp -> ln for library
sed -i.ln -e '/libsaphire.so/s|cp |ln -s -f |' Makefile.in
# Add current directory to library search path
sed -i.libpath -e '/^LIBS[2]*=/s|^\(.*\)$|\1 -L.|' Makefile.in
# Don't do lib-install for all
sed -i.all -e '/^all:/s|lib-install||' Makefile.in
# Keep timestamp
sed -i.stamp \
	-e 's| -m 755| -p -m 0755|g' \
	-e 's| -m 644| -p -m 0644|g' \
	Makefile.in
# Umm...
sed -i.soname \
	-e '/[ \t]/s|\( -o libsaphire.so.1.0 \)| -Wl,-soname,libsaphire.so.1 \1|' \
	Makefile.in

# FIX CRLF
for file in \
	USAGE.*.txt
do
	sed -i.dos -e 's|\r||' $file
	touch -r $file{.dos,}
	rm $file.dos
done

# Prefer less over lv
sed -i.pager \
	-e 's| lv| less|' \
	-e 's|lv |less |' \
	saphire.sa

%build
# Move maybe-arch-dependent file out of %%sysconfdir
# --docdir is needed
%configure \
	--with-migemo \
	--with-system-migemodir=%{_datadir}/cmigemo \
	--sysconfdir=%{_libdir}/%{name} \
	--docdir=%{_defaultdocdir}/%{name}-%{version} \
	--includedir=%{_includedir}/%{name}

# configure overrides $CFLAGS
# Kill parallel make
# Umm... override docdir also here
make -j1 \
	CC="gcc %{optflags}" \
	docdir=%{_defaultdocdir}/%{name}-%{version} \
	-k

%install
# Unfortunately, this Makefile.in does not honor DESTDIR, so
# let's use %%makeinstall :(
# docdir is to be cleaned up with %%doc, however specify it
# anyway for consistency
%makeinstall \
	lib-install \
	sysconfdir=%{buildroot}%{_libdir}/%{name} \
	docdir=%{buildroot}%{_defaultdocdir}/%{name}-%{version} \
	includedir=%{buildroot}%{_includedir}/%{name}

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc	AUTHORS
%doc	GPL
%doc	README.en.txt
%doc	USAGE.en.txt
%lang(ja)	%doc	CHANGELOG.txt
%lang(ja)	%doc	README.ja.txt
%lang(ja)	%doc	USAGE.ja.txt

%{_bindir}/%{name}
%{_bindir}/saphiresh
%{_libdir}/lib%{name}.so.1*
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/%{name}.sa*
%{_libdir}/%{name}/completion.sa*

%files	devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so

%changelog
* Fri Sep 30 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.5.3-1
- 3.5.3

* Fri Sep  9 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.5.1-1
- 3.5.1

* Fri Sep  2 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.5.0-1
- 3.5.0

* Thu Aug 25 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.4.9-1
- 3.4.9

* Sat Aug 20 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.4.7-1
- 3.4.7 

* Sat Aug 20 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.4.5-1
- 3.4.5

* Sat Aug  6 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.4.2-1
- 3.4.2

* Sat Jul 30 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.3.5-1
- 3.3.5

* Tue Jul 26 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.3.3-1
- 3.3.3

* Tue Jul 19 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.3.2-1
- 3.3.2

* Thu Jul 14 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.3.1-1
- 3.3.1

* Mon Jul 11 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.3.0-1
- 3.3.0

* Sun Jul  3 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.2.3-1
- 3.2.3

* Fri Jul  1 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.2.2-1
- 3.2.2

* Sun Jun 26 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.2.1-1
- 3.2.1

* Tue Jun 21 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.2.0-1
- 3.2.0

* Sun Jun 12 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.1.5-1
- 3.1.5

* Wed Jun  8 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.1.4-1
- 3.1.4

* Mon Jun  6 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.1.3-1
- 3.1.3

* Fri Jun  3 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.1.2-1
- 3.1.2

* Sun May 29 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.1.1-1
- 3.1.1

* Sun May 22 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.1.0-1
- 3.1.0

* Thu May 19 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.0.9-1
- 3.0.9

* Mon May 16 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.0.8-1
- 3.0.8

* Mon May  9 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.0.7-1
- 3.0.7

* Tue May  3 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.0.5-1
- 3.0.5

* Sat Apr 29 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.0.3-1
- 3.0.3

* Fri Apr 22 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 2.0.2-1
- 2.0.2

* Sat Apr 16 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.4.2-1
- 1.4.2
- Use gc for F-14+

* Wed Apr 13 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.4.0-1
- 1.4.0
- Prefer less over lv for help pager

* Sat Apr  9 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.3.8-1
- 1.3.8

* Sun Apr  3 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.3.7-1
- 1.3.7

* Sun Mar 20 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.3.5-1
- 1.3.5

* Sun Mar 13 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.3.2-1
- 1.3.2

* Wed Mar 09 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.3.1-1
- 1.3.1

* Mon Mar 07 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.3.0-1
- 1.3.0

* Thu Feb 24 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.2.8-1
- 1.2.8

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2.6-1
- 1.2.6

* Thu Jan 27 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2.5-1
- 1.2.5

* Wed Jan 19 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2.4-1
- 1.2.4

* Tue Jan 18 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2.3-1
- 1.2.3

* Fri Jan 14 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2.1-1
- 1.2.1

* Sun Jan  9 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2.0-1
- 1.2.0

* Wed Jan  5 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1.7-1
- 1.1.7

* Sun Jan  2 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1.4-1
- 1.1.4

* Sat Jan  1 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1.2-1
- 1.1.2

* Wed Dec 29 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1.0-2.respin1
- 1.1.0 respun

* Wed Dec 29 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1.0-1
- 1.1.0

* Wed Dec 21 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.8-1
- 1.0.8

* Tue Dec 21 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.7-1
- 1.0.7

* Fri Dec 17 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.6-1
- 1.0.6

* Thu Dec 16 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.5-1
- 1.0.5

* Thu Dec  9 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.2-1
- 1.0.2

* Tue Dec  7 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.1-1
- 1.0.1

* Sat Dec  4 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.0-1
- 1.0.0

* Fri Nov 10 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.9.5-1
- Initial packaging
